# trload Loads a translation catalogue
Usage
    trload [-v] <catalogue> [<catalogue_dir>]
Description
Loads the specified translation <catalogue> in the current user language. The translation catalogues are *.mo files compiled with the standard msgfmt program from the gettext package. The syntax of the catalogue names is: <catalogue_dir>/<catalogue>_<language>.mo KVIrc looks for the catalogues in <catalogue_dir> (if specified) and in the locale subdirectory of the global and local KVIrc directories. <language> is choose automatically by KVIrc depending on the user's locale. Catalogues MUST be in UTF8 encoding. After a translation catalogue has been loaded you can access its strings by the means of $tr. This function doesn't print any warning unless -v is specified. Please note that KVIrc attempts to load the <catalogue> automatically when $tr() is used but it looks only in $file.localdir/locale/ and in $file.globaldir/locale/. This command is then useful to load catalogues that reside in different directories. NOTE This feature is currently work in progress: the scripting engine is not yet fully unicode and thus some more exotic translations may still suffer...
Switches
-v | --verbose
Warn if a catalogue for the current language cannot be found
Syntax Specification
    trload [-v] <catalogue:string> [<catalogue_dir:string>]
See also
$tr, trunload

Index, Commands

KVIrc 4.2.0.6190 Documentation
Generated by builduser at Mon Mar 13 18:15:52 2017